import { base } from './_config'

export async function runLogin({ username, password }) {
    const res = await fetch(`${base}/auth/`, {
        method: 'POST',
        body: JSON.stringify({ username, password }),
        headers: { "Content-Type": "application/json" }
    })
    if (!res.ok) throw await res.json()
    const data = await res.json()
    document.cookie = `token=${data.token}`
    return data
}

export async function runLogout() {
    const res = await fetch(`${base}/auth/logout/`, {
        method: 'POST'
    })
    if (!res.ok) throw await res.json()
    const data = await res.text()
    document.cookie = 'token=';
    return data;
}

export async function getInfoToken() {
    const res = await fetch(`${base}/auth/info/`, {
        credentials: 'include'
    })
    if (!res.ok) throw await res.json()
    const data = await res.text(); // puede venir vacio si no existe token
    return data ? JSON.parse(data) : null;
}

